/*Class description: The Artefact class is an abstract class that extends GameBaseObject. 
 * It sets the displaySymbol, x and y coordinates of an artefact (Sword, Shield etc). 
 */ 
public abstract class Artefact extends GameBaseObject {
	public Artefact(char displaySymbol, int xPos, int yPos) {
		super(displaySymbol, xPos, yPos);
	}
	//an abstract method that returns true if an object has been picked up. Its body is defined in
	//each child class that extends Artefact
	abstract boolean pickObject(HarryPotter player);
}